Subject: Re: [PATCH v3] net: phy: add Maxlinear GPY115/21x/24x driver

From: Andrew Lunn <[email-masked]>
Date: Sat, 5 Jun 2021 16:51:17 +0200

> >>> This does not access vendor specific registers, should not this be part
> >>> of the standard genphy_read_abilities() or moved to a helper?
> >>>
> >> genphy_read_abilities does not cover 2.5G.
> >>
> >> genphy_c45_pma_read_abilities checks C45 ids and this check fail if
> >> is_c45 is not set.
> > You appear to of ignored my comment about this. Please add the helper
> > to the core as i suggested, and then use
> > genphy_c45_pma_read_abilities().
> >
> >          Andrew
> >
> I'm new to upstream and do not know the process to change code in core.

Pretty much the same way you change code in a driver. Submit a path!

Please put it into a separate patch, so making a patch series. Please
add some kernel doc style documentation, describing what the function
does. Look at other functions in phy_device.c for examples.

Anybody can change core code. It just gets looked at closer, and need
to be generic.

   Andrew